package ru.yandex.webmaster3.storage.antispam.threats.data;

import java.util.List;
import java.util.UUID;

/**
 * @author avhaliullin
 */
public class HostThreatsGeneration {
    private final UUID threatsGenerationId;
    private final List<HostThreatInfo> threats;

    public HostThreatsGeneration(UUID threatsGenerationId, List<HostThreatInfo> threats) {
        this.threatsGenerationId = threatsGenerationId;
        this.threats = threats;
    }

    public UUID getThreatsGenerationId() {
        return threatsGenerationId;
    }

    public List<HostThreatInfo> getThreats() {
        return threats;
    }
}
